import zygame.display.batch.BImage;
import zygame.mini.MiniUtils;
import zygame.utils.ZAssets;

class Bullet extends BImage {
	private var _width:Float = 0;
	private var _height:Float = 0;

	override function onInit() {
		super.onInit();
		this.setFrame(MiniUtils.getAssets().getBitmapData("Plane:bullet"));
		this.setFrameEvent(true);
		_width = this.width;
		_height = this.height;
	}

	override function onFrame() {
		super.onFrame();

		if(MiniUtils.getApp().isPause())
			return;
			
		this.y -= 15;

		if (this.y < 10) {
			this.setFrameEvent(false);
			this.getParent().removeChild(this);
		} else {
			for (enemy in Main.enemys) {
				if (enemy.parent != null && Math.abs(enemy.x + enemy.curWidth / 2 - this.x + this.curWidth /2) < enemy.curWidth / 2 && Math.abs(enemy.y + enemy.curHeight / 2 - this.y - this.curHeight/2) < enemy.curHeight / 2) {
					this.setFrameEvent(false);
					this.getParent().removeChild(this);
                    enemy.hp --;
					break;
				}
			}
		}
	}
}
