import openfl.events.Event;
import zygame.display.batch.BImage;
import zygame.mini.MiniUtils;

/**
 * 敌人
 */
class Enemy extends BImage {

    public var hp:Int = 10;

    public var speed:Float = 0;
    
    override function onInit() {
        super.onInit();
        this.setFrame(MiniUtils.getAssets().getBitmapData("Plane:enemy"));
        this.setFrameEvent(true);
        this.y = -100;
        this.scaleX = 2;
        this.scaleY = 2;
        speed = 1 + (Math.random());
    }

    override function onFrame() {
        super.onFrame();
        if(MiniUtils.getApp().isPause())
			return;
        this.y += speed;
        if(hp <= 0 || this.y > this.getStageHeight())
        {
            this.setFrameEvent(false);
            this.getParent().removeChild(this);
            MiniUtils.removeArrayItem(Main.enemys,this);
            //得分回调
            // MiniUtils.getAssets().listener.dispatchEvent(new Event(MiniEven))
        }
    }

}